require 'test/unit'
require 'binToDec'
class BinaryTest < Test::Unit::TestCase
 
# Test if a valid binary number gives the correct result
  def test_binary_true
    assert_equal 8,
    Converter.binToDec(1000)
  end

# Test if an valid binary number given an incorrect value
  def test_binary_false
    assert_not_equal 9,
    Converter.binToDec(1000)
  end

# Test if an invalid binary number raises an exception
def test_non_binary_true
  
  assert_raise RuntimeError do
  Converter.binToDec(2222)
    end
  end

# Test if an valid binary number does not raise an exception
def test_non_binary_false
  
  assert_nothing_raised RuntimeError do
  Converter.binToDec(1000)
    end
  end

end # End of Class
